package com.fzm.mall.server.admin.message.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.message.entity.dto.NoticeDTO;
import com.fzm.mall.server.admin.message.entity.dto.NoticeSaveDTO;
import com.fzm.mall.server.admin.message.entity.dto.NoticeUpdateDTO;
import com.fzm.mall.server.admin.message.model.Notice;

/**
 * <p>
 * 消息中心-公告 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-09
 */
public interface INoticeService extends IService<Notice> {

    void save(NoticeSaveDTO noticeSaveDTO);

    void update(NoticeUpdateDTO noticeUpdateDTO);

    void delete(String noticeId);

    NoticeDTO read(String noticeId);

    IPage<NoticeDTO> page(Page<NoticeDTO> page, String content, String merchantId);

}
